apt 3.1.11 commandline package manager

Public Types | List of all members
pkgCache::State Struct Reference

## Public Types
enum | VerPriority { Required =1 , Important =2 , Standard =3 , Optional =4 , Extra =5 }
| priority of a package version More...
enum | PkgSelectedState { Unknown =0 , Install =1 , Hold =2 , DeInstall =3 , Purge =4 }
enum | PkgInstState { Ok =0 , ReInstReq =1 , HoldInst =2 , HoldReInstReq =3 }
enum | PkgCurrentState { NotInstalled =0 , UnPacked =1 , HalfConfigured =2 , HalfInstalled =4 , ConfigFiles =5 , Installed =6 , TriggersAwaited =7 , TriggersPending =8 }

## Member Enumeration Documentation

## ◆ VerPriority

enum VerPriority

priority of a package version

Zero is used for unparsable or absent Priority fields.

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h